/***************************************************************************
 *   Copyright (C) 2006 by Sergejs Melderis   *
 *   smelderis@yahoo.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef TEXTENCODER_H
#define TEXTENCODER_H

/**
	@author Sergejs Melderis <smelderis@yahoo.com>
*/

#include <qstring.h>
#include <qmap.h>
#include <qvaluelist.h>
#include <qpair.h>

#include <qtextedit.h>
class TextEncoder
{
public:
    TextEncoder();

    ~TextEncoder();
    QString uniTo1251(const QString &text);
    
    void begin();
    void end();
    QString englishToRussian(const QString &enText);
    QString accentsToLingvoEncoding(const QString &acText);
    
private:
    QMap<QChar, QString> m_uniTo1251Map;
    QValueList<QPair<QString, QString> > m_enToRusList;
    QString textToTransliterate;
};

#endif
